<script type="text/javascript" src="/cms-cps/tuicommon/js/functions_cardDetails.js"></script>
<%@ page import="com.tui.uk.config.ConfReader" %>
<%
String TUIGiftCard = ConfReader.getConfEntry("TUIGiftCard.BINRange" , "");
pageContext.setAttribute("TUIGiftCard", TUIGiftCard, PageContext.REQUEST_SCOPE);
String ThomsonCreditCard = ConfReader.getConfEntry("ThomsonCreditcard.BINRange" , "");
pageContext.setAttribute("ThomsonCreditCard", ThomsonCreditCard, PageContext.REQUEST_SCOPE);
String isMasterCardGiftApplied = ConfReader.getConfEntry("isMasterCardGiftApplied" , "");
pageContext.setAttribute("isMasterCardGiftApplied", isMasterCardGiftApplied, PageContext.REQUEST_SCOPE);

%>
 

<%
String MasterCardTUIGiftCard = ConfReader.getConfEntry("MasterCardTUIGiftCard.BINRange" , "");
pageContext.setAttribute("MasterCardTUIGiftCard", MasterCardTUIGiftCard, PageContext.REQUEST_SCOPE);
%>
<c:set var="multiCentre" value="${bookingComponent.multiCentre}" />
<c:set var='clientapp' value='${bookingInfo.bookingComponent.clientApplication.clientApplicationName}' />
<c:if test="${bookingInfo.bookingComponent.lockYourPriceSummary.selected eq 'true' && bookingComponent.lockYourPriceSummary.mmbLockYourPriceFlow eq 'true'}">
		<c:set var='clientapp'	value='${bookingInfo.bookingComponent.lockYourPriceSummary.clientApplication}' />
</c:if>
<c:choose>
	<c:when test="${multiCentre eq true}">
		<c:set var="url"
			value="${bookingComponent.breadCrumbTrail['CENTRESELECTION']}" />
	</c:when>
	<c:otherwise>
		<c:choose>
			<c:when
				test="${bookingComponent.nonPaymentData['isResponsiveHubAndSpoke'] == 'Y'}">
				<c:set var="url"
					value="${bookingComponent.breadCrumbTrail['HOLIDAY PACKAGE']}" />
			</c:when>
			<c:otherwise>
				<c:set var="url"
					value="${bookingComponent.breadCrumbTrail['HOTEL']}" />
			</c:otherwise>
		</c:choose>
	</c:otherwise>
</c:choose>
<script>
	MasterCardTUIGiftCardNumber = "<%= MasterCardTUIGiftCard %>";
	TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
	ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
	isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
</script>
<c:set var="isDDApplicableBrands" value='<%=com.tui.uk.config.ConfReader.getConfEntry("dd.applicableBrands", "TUITH,TUIFC,TUITHCRUISE,THOMSONMOBILE,FIRSTCHOICEMOBILE,ANCTHOMSON,ANCFIRSTCHOICE,ANCTHCRUISE")%>'/>
<c:set var="isDDApplicableBrand" value="false"/>
<c:forEach var="brand" items="${isDDApplicableBrands}">
    <c:if test="${clientapp eq brand}"><c:set var="isDDApplicableBrand" value="true"/></c:if>
</c:forEach>
<c:set var="isDDsetupAvailable" value="false" />
<c:forEach var="depositsList" items="${bookingComponent.depositComponents}">
	<c:if test="${isDDsetupAvailable ne 'true'}">
	<c:if test="${(depositsList.ddPaymentComponents != null) || (not empty depositsList.ddPaymentComponents)}">
			<c:set var="isDDsetupAvailable" value="true" />
		</c:if>
	</c:if>
</c:forEach>
<c:set var="ddtermandcondition"
	value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuithdirect.termsAndConditions", "")%>' />
<c:set var="ddtermandconditionFC"
	value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuifcdirect.termsAndConditions", "")%>' />
<c:set var="bookingConditions"
		value="${bookingInfo.bookingComponent.termsAndCondition}" />	
<c:forEach var="links"
		items="${bookingInfo.bookingComponent.nonPaymentData}"
		varStatus="status">
		<c:if test="${links.key eq 'PrivacyPolicy'}">
			<c:set var="privacyPolicy" value="${links.value}" />

		</c:if>
		<c:if test="${links.key eq 'SpecialNeeds'}">
			<c:set var="specialNeeds" value="${links.value}" />
		</c:if>
	</c:forEach>
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:if test="${depositSts.index == 0}">
		<c:choose>
			<c:when test="${depositComponent.depositType == CONST_LOW_DEPOSIT}">
				<fmt:formatNumber var="outstandingBalanceDeposit"
					value="${depositComponent.depositAmount.amount + depositComponent.outstandingBalance.amount - bookingInfo.calculatedDiscount.amount}"
					type="number" maxFractionDigits="2" minFractionDigits="2"
					pattern="#####.##" />
			</c:when>
			<c:when test="${depositComponent.depositType ==  CONST_DEPOSIT}">
				<fmt:formatNumber var="outstandingBalanceDeposit"
					value="${depositComponent.depositAmount.amount}" type="number"
					maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
			</c:when>
			<c:otherwise></c:otherwise>
		</c:choose>
	</c:if>
</c:forEach>		
<c:if test="${links.key eq 'SpecialNeeds'}">
			<c:set var="specialNeeds" value="${links.value}" />
</c:if>


<div class="card-details-section card-holder max-width-form"	id="card-details-hide">
	<c:set var="iframeError" value="false"/>		
	<c:if test="${empty hccsmap.hpsSession}">
	<c:set var="iframeError" value="true"/>		
	</c:if>
	<c:choose>
	<c:when test="${iframeError == 'false'}">
		<script>
			TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
			ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
			isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
			var leadTitle = "Mr";
			var iframeLoaderCounter = 0;
			function scrollToViewport() {
				if(iframeLoaderCounter > 0) {
					try{
							document.getElementById('card-details-hide').scrollIntoView({behavior: "smooth"});
					}catch(ex){
						console.log(ex);
					}
				};
				iframeLoaderCounter++;
			}
		</script>
		<iframe 
			style="width: 100%" 
			name="HCCRedirectToCPS" 
			id="hcctoCps" 
			class="
				${isDDApplicableBrand && isDDsetupAvailable ? 'withDD' : 'withoutDD'} 
				${bookingComponent.lockYourPriceSummary.selected eq 'true' && bookingComponent.lockYourPriceSummary.mmbLockYourPriceFlow ne 'true' ? 'lyp': ''}
				${not empty bookingComponent.flightSummary.inboundFlight || not empty bookingComponent.flightSummary.outboundFlight ? '' : 'accomOnly'}" 
			src="${hccsmap.hpsUrl}?HPS_SessionID=${hccsmap.hpsSession}" 
			onload="javascript:scrollToViewport()"></iframe>
	</c:when>
	<c:otherwise>
			<style>
				.tech-error {
						background: #d40e14;
						color: white;
						font-size: 18px;
						font-family: arial;
						margin: 1rem;
						padding: 2rem;
				}
			</style>
			<div class="tech-error">
				There's been a technical error submitting your card details. Please select another payment method.<br/>
			</div>
		</c:otherwise>
	</c:choose>
</div>

	<div id="paypalTandC" class="hide">
		<div class="component" id="ddcomponent-hide">
                                        <div class="section-heading bf-first">
											<h2 class="icon-v2 icon-TUI_SinglePerson dark-blue">
												<span class="tui-font">Card Holder details</span>
											</h2>
										</div>

										<div class="select-block  b lowercase size-15 grey-dark more-pad-left">
												<!-- Note for js: span.hit-area is clickable -->
												<input hidden="true" type="checkbox" style="visibility:hidden;" name="addressSameAsLeadPassenger" id="addressSameAsLeadPassenger" gfv_required="required" value="true" chkit="yes">
												<span class="click-area fl">
													<span class="radio check active "></span>
												</span>

												<p class="marg-bottom-10 marg-left-10 size-16 fl same-as-lead-text"></p>
											</div>
										<div class="show" id="default-addr">


														<input type="hidden" id="changeAddressCheckBox" name="changeAddressCheckBox" value="false">



                                        </div>
										                                    <div class="max-width-form hide pad-10" id="edit-addr">
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="title">Title</label>
												</div>
												<div class="select fixed-width w120 dspl-blk">
													<span id="passengerTitle" class="text">Select</span>
													<span class="arrow"><span></span></span>
													<select chk="title" id="passengerTitle0" name="title" alt="Lead Passenger Title" gfv_required="required">
														<option value="">Select</option>
			                                            <option value="Mr">Mr</option>
														<option value="Miss">Miss</option>
														<option value="Ms">Ms</option>
														<option value="Mrs">Mrs</option>
														<option value="Dr">Dr</option>
														<option value="Prof">Prof</option>
														<option value="Rev">Rev</option>
													</select>
												</div>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="first-name">First name</label>
												</div>
												<input type="text" id="firstname" name="firstName" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" maxlength="15" chk="alpha" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="last-name">Surname</label>
												</div>
												<input type="text" id="surname" name="surName" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" maxlength="15" chk="surname" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>

											<div class="row c country-selctor marg-bottom-20 no-label">
												<div class="label">
													<label for="Country">Country</label>
												</div>
												<div class="select">
													<span class="text">
                                                            UnitedKingdom
                                                        </span>
													<span class="arrow"><span></span></span>
													<select chk="nonblank" name="payment_0_selectedCountry" id="country" onchange="postcodeValidation.postcodeChange()">
														<option value="GB" selected="selected">
                                                            UnitedKingdom
                                                        </option>
														<option value="FR">
                                                            France
                                                        </option>
													</select>
													 <input type="hidden" name="payment_0_selectedCountryCode" id="countryCode" value="GB">
												</div>
											</div>

											<div class="row c marg-bottom-20">
												<div class="label">
													<label for="address">Address</label>
												</div>
												<input type="text" id="houseName" name="payment_0_street_address1" maxlength="32" chk="alphanumericspec" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="House number / name" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="addressLine1" name="payment_0_street_address2" maxlength="32" chk="streetline1Check" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Street Line 1" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="addressLine2" name="addressLine2" chk="streetline1Check" maxlength="25" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Street Line 2 (Optional)" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="city" name="payment_0_street_address3" chk="townorcityCheck" maxlength="25" numberallowed="" gfv_required="required" autocomplete="off" autocorrect="off" spellcheck="false" placeholder="Town/City" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
										
											<div class="row c marg-bottom-20 no-label">
												<input type="text" id="postCode" class="fixed-width w135 dspl-blk" name="payment_0_postCode" maxlength="8" gfv_required="required" chk="postcode" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Postcode" value="">
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
											</div>
										</div>
										</div>
										<c:if test="${clientapp == 'TUITHFO' || clientApp == 'TUIFALCONFO'}">
												<div class="component">
													<div class="section-heading bf-first">
														<h2 class="icon-v2 icon-TUI_Book dark-blue">
															<span class="tui-font">Fare rules</span>
														</h2>
													</div>
													<div class="term-conditions-details grey-med row tnc">
														<p class="marg-bottom-20">Any changes must be made via the Call Centre up to 3 hours before departure. This is subject to availability.</p>

														<p class="marg-bottom-20">The purchased ticket is non-refundable. If you would like to amend your ticket, you will be charged for this. This charge will include a fee per change, per person. Depending on your amendment type, together with the fee(s) you may also pay the difference in airfare and you may lose a portion of your original airfare depending on the proximity of the departure date on the day you request your change.
														</p>
														<c:if test="${clientapp == 'TUITHFO'}"> 
														<p class="marg-bottom-20">Please see the <a href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/flight-conditions-of-carriage');" data-di-id="di-id-51c3bc9a-abf0e41">Conditions of Carriage</a> for further details.</p>
													    </c:if>
													    	<c:if test="${clientapp == 'TUIFALCONFO'}"> 
														<p class="marg-bottom-20">Please see the <a href="JavaScript:newPopup('https://www.tuiholidays.ie/f/info/flight-conditions-of-carriage');" data-di-id="di-id-51c3bc9a-abf0e41">Conditions of Carriage</a> for further details.</p>
													    </c:if>
													</div>
												</div>
										</c:if>
										<div class="component">
                                <div class="section-heading bf-first">
										<c:choose>
											<c:when test="${clientapp == 'TUICS' || clientapp == 'TUIES' }">
												<h2>
													<svg class="tAndc" version="1.1" xmlns="http://www.w3.org/2000/svg" width="24" height="30" viewBox="0 0 26 32">
														<path fill="none" stroke="#00ce9b" stroke-linejoin="miter" stroke-linecap="butt" stroke-miterlimit="4" stroke-width="2.0178" d="M5.612 1.829h14.376c2.089 0 3.783 1.694 3.783 3.783v20.776c0 2.089-1.694 3.783-3.783 3.783h-14.376c-2.089 0-3.783-1.694-3.783-3.783v-20.776c0-2.089 1.694-3.783 3.783-3.783z"></path>
														<path fill="#00ce9b" d="M9.395 8.408h11.097c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-11.097c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M5.612 8.408h1.513c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-1.513c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M9.395 12.71h11.097c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-11.097c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M9.395 17.265h11.097c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-11.097c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M5.612 12.71h1.513c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-1.513c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M5.612 17.265h1.513c0.279 0 0.505 0.226 0.505 0.505v1.521c0 0.279-0.226 0.505-0.505 0.505h-1.513c-0.279 0-0.505-0.226-0.505-0.505v-1.521c0-0.279 0.226-0.505 0.505-0.505z"></path>
														<path fill="#00ce9b" d="M3.342 1.829h19.169c0.418 0 0.756 0.34 0.756 0.759v3.037h-20.681v-3.037c0-0.419 0.338-0.759 0.756-0.759z"></path>
														<path fill="none" stroke="#00ce9b" stroke-linejoin="miter" stroke-linecap="butt" stroke-miterlimit="4" stroke-width="1.2608" d="M7.756 22.453h10.593c1.114 0 2.018 0.903 2.018 2.018v0.014c0 1.114-0.903 2.018-2.018 2.018h-10.593c-1.114 0-2.018-0.903-2.018-2.018v-0.014c0-1.114 0.903-2.018 2.018-2.018z"></path>
													</svg>
													<span class="tui-font">Terms &amp; Conditions</span>
												</h2>
											</c:when>
											<c:otherwise>
												<h2 class="icon-v2 icon-TUI_Insurance dark-blue">
													<span class="tui-font">Terms &amp; Conditions</span>
												</h2>
											</c:otherwise>
										</c:choose>
										</div>
										<div class="term-conditions-details grey-med row tnc">
											<c:choose>
													<c:when test="${bookingComponent.lockYourPriceSummary.selected eq 'true' && bookingComponent.lockYourPriceSummary.mmbLockYourPriceFlow ne 'true'}">
																<p class="marg-bottom-20">
																	If you've got <a href="${specialNeeds}" target="_blank" class="size-15">special requirements</a>, please call us on 0203 451 2585 before booking.
																</p>
																<div class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
																	<!-- Note for js: span.hit-area is clickable -->
																	<input hidden="true" type="checkbox" style="display: none;" name="agreeTermAndCondition" id="tourOperatorTermsAccepted" gfv_required="required" value="false" chkit="yes"> 
																<span class="hit-area"> 
																	<span class="radio check confirm"></span>
																</span>
																<c:choose>
																<c:when test="${clientapp == 'TUIFALCON' }">
																	<span class="terms-text">
																			I have read and accepted the <a href="https://www.tuiholidays.ie/f/info/lock-your-price-terms" class="size-15" target="_blank">Lock the Price conditions</a> and important information
																	</span>
																</c:when>
																<c:when test="${clientapp == 'TUIFC' }">
																	<span class="terms-text">
																			I have read and accepted the <a href="https://www.firstchoice.co.uk/holiday/info/lock-your-price-terms" class="size-15" target="_blank">Lock the Price conditions</a> and important information
																	</span>
																</c:when>
																<c:otherwise>
																	<span class="terms-text">
																			I have read and accepted the <a href="https://www.tui.co.uk/destinations/info/lock-your-price-terms" class="size-15" target="_blank">Lock the Price conditions</a> and important information
																	</span>
																</c:otherwise>
																</c:choose>
																</div>
													</c:when>
													<c:when test="${clientapp == 'TUICS'}">
														<p class="marg-bottom-20">
															Please note that all members of your party must have valid passports
															and any applicable visas before travelling. Visit the <a
																href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')"
																;=""  class="size-15">Foreign Office website</a> for a visa and
															travel advice.
														</p>
														<c:if test="${not empty bookingComponent.flightSummary}">
															<p class="marg-bottom-20 ddInfoText hide">
																If you have chosen to pay by direct debit and low deposit is
																payable you will be still required to pay the full deposit of
																&pound;${outstandingBalanceDeposit} if either you cancel your
																holiday, cancel or fail to set up your Direct Debit, or we cancel
																due to non-payment. In all circumstances our cancellation charges
																will apply. There are changes to our booking conditions for
																customers who pay by direct debit, please <a
																	href="JavaScript:newPopup('${ddtermandconditionCS}');"
																	class="size-15">click</a> here for detail
															</p>
															<p class="marg-bottom-20">
																If you've got <a href="JavaScript:newPopup('${specialNeeds}');"
																	class="size-15">special requirements</a>, please call us on
																<%=com.tui.uk.config.ConfReader.getConfEntry("tuics.tAndC.call.value", "")%>
																before booking.
															</p>
															<p class="marg-bottom-20">
																Please see the <a
																	href="JavaScript:newPopup('https://www.crystalski.co.uk/our-policies/terms-and-conditions/transport-information/');">Air
																	Passenger Notice</a> for a summary of the liability rules applied by
																community air carriers, as required by community legislation and the
																Montreal Convention.
															</p>
															<p class="marg-bottom-20">396 This booking is authorised under the
																ATOL licence of TUI UK Limited, ATOL 2524, and is protected under
																the ATOL scheme, as set out in the ATOL certificate to be
																supplied.
															</p>
															
														</c:if>
														<!-- Note: no shadow at the bottom of this component, when it contains a link -->
														<div class="select-block b lowercase size-15 grey-dark more-pad-left marg-top-20">
															<!-- Note for js: span.hit-area is clickable -->
															<input hidden="true" type="checkbox" style="display: none;"
																name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
																gfv_required="required" value="false" chkit="yes"> <span
																class="hit-area"> <span class="radio check confirm"></span>
															</span>
															<span class="terms-text"> I have read and accept the <a
																href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking
																	conditions</a> <span class="ddInfoText hide">, <a
																	href="JavaScript:newPopup('${ddtermandcondition}');">Direct
																		Debit terms</a>
																</span> and important information.
															</span>
														</div>
													</c:when>
													<c:when test="${clientapp == 'TUIES'}">
													<c:choose>
													<c:when test="${bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
													<p class="marg-bottom-20">
																Please note that all members of your party must have valid passports
																and any applicable visas before travelling. Visit the <a
																href="JavaScript:newPopup('https://www.dfa.ie/travel/travel-advice')"
																;=""  class="size-15"> Irish Department of Foreign Affairs</a> for a visa and
																travel advice.
															</p>
														</c:when>
														<c:otherwise>
		
															<p class="marg-bottom-20">
																Please note that all members of your party must have valid passports
																and any applicable visas before travelling. Visit the <a
																	href="JavaScript:newPopup('https://www.dfa.ie/travel/travel-advice/')"
																	;=""  class="size-15">Department of Foreign Affairs</a> for a visa and
																travel advice.
															</p>
			
															</c:otherwise>
															</c:choose>
														<c:if test="${not empty bookingComponent.flightSummary}">
															<p class="marg-bottom-20">
																If you've got <a href="JavaScript:newPopup('${specialNeeds}');"
																	class="size-15">special requirements</a>, please call us on
																<%=com.tui.uk.config.ConfReader.getConfEntry("tuies.tAndC.call.value", "")%>
																before booking.
															</p>
															<p class="marg-bottom-20">
																Please see the <a
																	href="JavaScript:newPopup('https://www.crystalski.ie/our-policies/terms-and-conditions/transport-information/');">Air
																	Passenger Notice</a> for a summary of the liability rules applied by
																community air carriers, as required by community legislation and the
																Montreal Convention.
															</p>
<c:choose>
				<c:when test="${bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
					<p class="marg-bottom-20 ">	
						<strong>Your Financial Protection</strong> <br> TUI Holidays Ireland Limited is 
						Licensed by the Commission for Aviation Regulation under license T.O. 272 and have arranged an approved bond,
						therefore your money is secure with us. TUI Holidays Ireland Limited is part of the TUI AG group of companies.
					
					</p>
					</c:when>
					<c:otherwise>
					<p class="marg-bottom-20 ">
																<strong>Your Financial Protection</strong> <br> TUI is
																Licensed by the Commission for Aviation Regulation under license
																T.O. 021 and have arranged an approved bond, therefore your money
																is secure with us. TUI is part of the TUI AG group of companies.
															</p>
					</c:otherwise>
					</c:choose>
															
														
														</c:if>
														<!-- Note: no shadow at the bottom of this component, when it contains a link -->
														<div class="select-block b lowercase size-15 grey-dark more-pad-left marg-top-20">
															<!-- Note for js: span.hit-area is clickable -->
															<input hidden="true" type="checkbox" style="display: none;"
																name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
																gfv_required="required" value="false" chkit="yes"> <span
																class="hit-area"> <span class="radio check confirm"></span>
															</span>
															<span class="terms-text"> I have read and accept the <a
																href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking
																	conditions</a> <span class="ddInfoText hide">, <a
																	href="JavaScript:newPopup('${ddtermandcondition}');">Direct
																		Debit terms</a>
																</span> and important information.
															</span>
														</div>
													</c:when>
												<c:otherwise>
	<c:choose>
<c:when test="${clientapp == 'TUIFALCON' ||clientapp == 'TUIFALCONFO'  && bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
	<p class="marg-bottom-20">
			Please note that all members of your party must have valid passports
			and any applicable visas before travelling. Visit the <a
				href="JavaScript:newPopup('https://www.dfa.ie/travel/travel-advice')"
				;=""  class="size-15"> Irish Department of Foreign Affairs</a> for a visa and
			travel advice.
		</p>
	</c:when>
	<c:otherwise>
		<p class="marg-bottom-20">Please note that all members of your party must have valid passports and any applicable visas before travelling. Visit the <a href="JavaScript:newPopup('https://www.gov.uk/browse/abroad')" ;="" class="size-15">Foreign Office website</a> for a visa and travel advice.</p>
			
			</c:otherwise>
			</c:choose>


													
													<c:choose>
														<c:when test = "${isNewUI=='true'}">
															<p class="marg-bottom-20 payPalCredit hide paypalTerms"><b>PayPal Credit: Representative example: representative 21.9% APR (variable), purchase interest rate 21.9% p.a. (variable), assumed credit limit ${currency}1,200.00. TUI UK Limited acts as a broker and offers credit from PayPal Credit.</b></p>
															<p class="marg-bottom-20 payPalCredit hide">	Subject to status. Terms and Conditions apply. PayPal Credit is a trading name of PayPal (Europe) S.a.r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg..r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg.</p>
														</c:when>
														<c:otherwise>
															  <p class="marg-bottom-20 payPalCredit hide">PayPal Credit: Representative example: representative 21.9% APR (variable), purchase interest rate 21.9% p.a. (variable), assumed credit limit ${currency}1,200.00. TUI UK Limited acts as a broker and offers credit from PayPal Credit. Subject to status. Terms and Conditions apply. PayPal Credit is a trading name of PayPal (Europe) S.a.r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg..r.l. et Cie, S.C.A., 22-24 Boulevard Royal L-2449, Luxembourg.</p>
													.	</c:otherwise>
													 </c:choose>												 	<c:if test="${clientapp == 'TUICRUISEDEALS' || clientapp == 'TUIHMCRUISE'}">
														<p class="marg-bottom-20">For information summarising terms and provisions relating to the carriage of passengers and their luggage by sea 1974, please view the 
															<a href="JavaScript:newPopup('https://www.thomson.co.uk/editorial/legal/Cruise/athens-convention.html')";="">Athens Convention Notice</a>.
														</p>
													</c:if>
													<c:if test="${not empty bookingComponent.flightSummary}">
														<p class="marg-bottom-20 ddInfoText hide">
															If you have chosen to pay by direct debit and zero or low deposit is
															payable you will be still required to pay the full deposit of
															${currency}${outstandingBalanceDeposit} if either you cancel your
															holiday, cancel or fail to set up your Direct Debit, or we cancel
															due to non-payment. In all circumstances our cancellation charges
															will apply. There are changes to our booking conditions for
															customers who pay by direct debit, please 
															<c:choose>
																<c:when test="${clientapp == 'TUIFC' || clientapp == 'FIRSTCHOICEMOBILE'}">
																	<a href="JavaScript:newPopup('${ddtermandconditionFC}');" class="size-15">click</a> 
																</c:when>
																<c:otherwise>
																	<a href="JavaScript:newPopup('${ddtermandcondition}');" class="size-15">click</a> 
																</c:otherwise>
															</c:choose> here for detail
														</p>
														<p class="marg-bottom-20">
															If you've got <a href="JavaScript:newPopup('${specialNeeds}');"
																class="size-15">special requirements</a>, please call us on
															<%=com.tui.uk.config.ConfReader.getConfEntry("tAndC.call.value", "")%>
															before booking.
														</p>
														<p class="marg-bottom-20">
															Please see the 
															<c:choose>
																<c:when test="${clientapp == 'TUIFC' || clientapp == 'FIRSTCHOICEMOBILE'}">
																	<a href="JavaScript:newPopup('https://www.firstchoice.co.uk/holiday/info/air-passenger-notice');">Air Passenger Notice</a> 
																</c:when>
																<c:otherwise>
																	<a href="JavaScript:newPopup('http://www.thomson.co.uk/editorial/legal/montreal-convention.html');">Air Passenger Notice</a> 
																</c:otherwise>
															</c:choose>
															 for a summary of the liability rules applied by
															community air carriers, as required by community legislation and the
															Montreal Convention.
														</p>
														<c:choose>
															<c:when test="${clientapp == 'TUITHFO'}">
																<p class="marg-bottom-20 hide">   567   This booking is authorised under
																	the ATOL licence of TUI UK Limited, ATOL 2524, and is protected
																	under the ATOL scheme, as set out in the ATOL certificate to be
																	supplied.</p>
															</c:when>
															<c:when test="${clientapp == 'TUIFALCON' }">
<c:choose>
				<c:when test="${bookingComponent.nonPaymentData['oscarEnabled'] eq 'true' }">
					
					
					<p class="marg-bottom-20 ">
<p>	
						<strong>Your Financial Protection</strong> <br> TUI Holidays Ireland Limited is 
						Licensed by the Commission for Aviation Regulation under license T.O. 272 and have arranged an approved bond,
						therefore your money is secure with us. TUI Holidays Ireland Limited is part of the TUI AG group of companies.
					
					</p>
</p>
					</c:when>
					<c:otherwise>

					<p class="marg-bottom-20 ">
																<p>
																	<strong>Your Financial Protection</strong> <br> TUI is
																	Licensed by the Commission for Aviation Regulation under license
																	T.O. 021 and have arranged an approved bond, therefore your money
																	is secure with us. TUI is part of the TUI AG group of companies.
																</p>
																</p>
					</c:otherwise>
					</c:choose>
																
															</c:when>
															<c:when test="${clientapp == 'TUIFALCONFO' }">

															</c:when>
															<c:otherwise>
																<p class="marg-bottom-20">610  This booking is authorised under the
																	ATOL licence of TUI UK Limited, ATOL 2524, and is protected under
																	the ATOL scheme, as set out in the ATOL certificate to be
																	supplied.</p>
															</c:otherwise>
														</c:choose>
													</c:if>

													<!-- Note: no shadow at the bottom of this component, when it contains a link -->
													<div class="select-block bg-light-blue b lowercase size-15 grey-dark more-pad-left marg-top-20">
														<!-- Note for js: span.hit-area is clickable -->
														<input hidden="true" type="checkbox" style="display: none;"
															name="agreeTermAndCondition" id="tourOperatorTermsAccepted"
															gfv_required="required" value="false" chkit="yes"> <span
															class="hit-area"> <span class="radio check confirm"></span>
														</span>
														<c:choose>
															<c:when test="${clientapp == 'TUITHFO' || clientapp == 'TUIFALCONFO' }">
															<c:if test="${clientapp == 'TUITHFO'}">
																<span class="terms-text"> I have read and accept the <a
																	href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')"
																	data-di-id="di-id-871822bb-e66ce0d5">Booking Conditions</a>, <a
																	href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/flight-conditions-of-carriage');"
																	data-di-id="di-id-1feb19c4-702aa55a">Conditions of Carriage</a>
																	and <a
																	href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/faq/luggage-guidelines');"
																	data-di-id="di-id-8183ee60-f0d4e6e4">Baggage check-in safety
																		information.</a></span>
																	</c:if>
																	<c:if test="${clientapp == 'TUIFALCONFO'}">	
																			<span class="terms-text"> I have read and accept the <a
																	href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')"
																	data-di-id="di-id-871822bb-e66ce0d5">Booking Conditions</a>, <a
																	href="JavaScript:newPopup('https://www.tuiholidays.ie/f/info/flight-conditions-of-carriage');"
																	data-di-id="di-id-1feb19c4-702aa55a">Conditions of Carriage</a>
																	and <a
																	href="JavaScript:newPopup('https://www.tui.co.uk/destinations/info/faq/luggage-guidelines');"
																	data-di-id="di-id-8183ee60-f0d4e6e4">Baggage check-in safety
																		information.</a></span>
																	</c:if>	
															</c:when>
															<c:when
																test="${clientapp == 'TUIFC' || clientapp == 'FIRSTCHOICEMOBILE'}">
																<span class="terms-text"> I have read and accept the <a
																	href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')"
																	data-di-id="di-id-433740d5-9b7973e5">Booking Conditions</a><span
																	class="ddInfoText">, <a
																		href="JavaScript:newPopup('${ddtermandconditionFC}');"
																		data-di-id="di-id-63259aab-ba32c12a">Direct Debit terms</a></span> and
																	important information.
																</span>
															</c:when>
															<c:otherwise>
																<span class="terms-text"> I have read and accept the <a
																	href="JavaScript:newPopup('${bookingConditions.relativeTAndCUrl}')">booking
																		conditions</a> <span class="ddInfoText hide">, <a
																		href="JavaScript:newPopup('${ddtermandcondition}');">Direct
																			Debit terms</a>
																</span> and important information.
														</span>
															</c:otherwise>
														</c:choose>
													</div>
												</c:otherwise>
											</c:choose>
										</div>
											<!-- Data protection notice -->
	</div>
	<div class="ctaContent marg-bottom-10">
	
								<c:if test="${isNewUI=='true'}">
										<div class="paypalnote fl  size-18">
										<p>Total holiday cost <span class="bold">&pound;<fmt:formatNumber
											value="${fullAmount}" type="number" maxFractionDigits="2"
											minFractionDigits="2" pattern="#####.##" /></span></p>
										<p>You will be taken to PayPal to complete the transaction.</p>
										</div>
									</c:if>
			<%-- <div class="paydetails fl">
				<!--Start - About to pay section-->
				<div class="disNone" id="creditCardCharges" onclick="displayCreditCharges(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="creditCardChargeFinalAmt currency"></span><span class="creditCardChargeFinalAmt amount" id="creditCardChargeFinalAmt">150.00</span> by Credit Card</p>

				</div>
				<div id="debitCardCharges">
					<p class="size-18">
																														<span class="final-amount-text">You're about to pay&nbsp;</span>
																														<span class="debitCardChargeFinalAmt currency" id="debitCardCurrency"></span>
																														<span class="creditCardChargeFinalAmt amount" id="debitCardFinalAmt">150.00</span><span id="debitCardText hide"> by Debit Card</span></p>
				</div>
				<div class="disNone" id="thomsonCardCharges" style="display:none">
					<p class="size-18">You're about to pay&nbsp;<span class="creditCardChargeFinalAmt currency"></span>
				<span class="creditCardChargeFinalAmt amount" id="thomsonCardFinalAmt">150.00</span> by TUI Credit Card</p>
				</div>
				<div class="disNone" id="giftCardCharges" onclick="displayCreditCharges(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="giftCardFinalAmt currency"></span>
					<span class="creditCardChargeFinalAmt amount" id="giftCardFinalAmt">150.00</span> by Gift Card</p>
				</div>
				<div class="disNone" id="cardPaymentCharges" onclick="displayCardChargesPaypal(this.id)">
					<p class="size-18">
						<span class="final-amount-text">You're about to pay&nbsp;</span>
						<span class="cardPaymentChargeFinalAmt currency"></span>
						<span class="creditCardChargeFinalAmt amount" id="cardPaymentFinalAmt">150.00</span> by Credit Card</p>
						<p>No credit card fees.</p>
				</div>
				<div class="disNone" id="payPalCharges" onclick="displayCardChargesPaypal(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="payPalFinalAmt currency" id="paypalCurrency"></span>
																													<span class="creditCardChargeFinalAmt amount" id="payPalFinalAmt">150.00</span><span id="paypalCardText" class=""> by PayPal</span></p>
				</div>
				<!--End - About to pay section-->
			</div> --%>
			<div class="ctnbutton fr">
				<c:choose>
					<c:when test="${clientapp == 'TUICS' || clientapp == 'TUIES' }">
						<input type="image" src="/cms-cps/tuicommon/images/logo/Book_with_pplogo_cs.png" class="" id="paypalbutton">
					</c:when>
					<c:otherwise>
				<input type="image" src="/cms-cps/tuicommon/images/logo/Book_with_pplogo.png" class="" id="paypalbutton">
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</div>

<div class="modal in" style="display: none" id="sessionTimeOut">
	<div class="window mini auto-height">
		<div class="modal-content no-radius">
			<span class="timeout-close-btn"> <a href="${url}"
				class="icon-v2 icon-TUI_Close timeout-close-btnIcon"></a>
			</span>
			<h2 class="time-out-title">sorry, this page has timed out.</h2>
			<div class="timeout-text">
				<p class="grey-med marg-bottom-15">
					Unfortunately, this page has timed out due to security reasons.
					Don't worry, we're not going to make you start over again, but we
					do need you to re-enter your details on this page. If you don't
					want to continue you can go to <a href="javascript:void(0)" onclick="homepage()">homepage</a>.
				</p>
			</div>
			<div class="back-to-home">
				<c:choose>
					<c:when test="${multiCentre eq true}">
						<a href="${url}" class="book-flow button large cta">Back to
							holiday</a>
					</c:when>
					<c:otherwise>
						<a href="${url}" class="book-flow button large cta">Back to
							Booking</a>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</div>
</div>
<div class="modal in" style="display: none" id="sessionTime">
	<div class="window mini auto-height">

		<div class="page-timeout-img-content">
			<a class="page-timeout-close-btn" href="javascript:void(0)"><span
				onClick="closesessionTime()"
				class="icon-v2 icon-TUI_Close page-timeout-close-btnIcon"></span></a>
			<div class="page-timeout-section">
				<c:choose>
					<c:when test="${clientapp == 'TUICS' || clientapp == 'TUIES' }">
						<p class="page-timeout-clock">
							<svg width="32px" height="32px" class="" viewBox="0 0 1024 1024" style="fill: #252a32; stroke: #252a32;"><path d="M512 1024c-282.453 0-512-229.547-512-512s229.547-512 512-512 512 229.547 512 512-229.547 512-512 512zM512 940.373c236.373 0 428.373-192 428.373-428.373s-192-428.373-428.373-428.373-428.373 192-428.373 428.373 192 428.373 428.373 428.373zM378.027 587.093c-16.213 16.213-16.213 42.667 0 58.88s42.667 16.213 58.88 0l104.107-104.107c7.68-7.68 11.947-18.773 11.947-29.867v-313.173c0-23.040-18.773-41.813-41.813-41.813s-41.813 18.773-41.813 41.813v296.107l-91.307 92.16z"></path></svg>
						</p>
					</c:when>
					<c:otherwise>
						<p class="page-timeout-clock">
							<span class="icon-v2 icon-TUI_Clock page-timeout-close-btnIcon"></span>
						</p>
					</c:otherwise>
				</c:choose>

				<p class="page-timeout-sec">timeout in</p>
				<p id="sessiontimeDisplay" class="page-timeout-min">10 MINS</p>
			</div>
		</div>
		<div class="page-timeout-description">
			<h2 class="page-time-out-title">are you still there?</h2>
			<div class="page-timeout-text">
				<p class="grey-med">This page will be timing out for security
					reasons. Let us know that you're still here, otherwise you'll have
					to re-enter your details.</p>
			</div>
			<div class="page-timeout-back-to-home">
				<a href="javascript:void(0)" class="book-flow button large cta"
					onClick="activestate()">yes i'm still here</a>
			</div>
		</div>
	</div>
</div>
<div class="book-flow modal" id="loader-screens">
	<div class="window">
		<div class="sk-fading-circle">
			<div class="sk-circle1 sk-circle"></div>
			<div class="sk-circle2 sk-circle"></div>
			<div class="sk-circle3 sk-circle"></div>
			<div class="sk-circle4 sk-circle"></div>
			<div class="sk-circle5 sk-circle"></div>
			<div class="sk-circle6 sk-circle"></div>
			<div class="sk-circle7 sk-circle"></div>
			<div class="sk-circle8 sk-circle"></div>
			<div class="sk-circle9 sk-circle"></div>
			<div class="sk-circle10 sk-circle"></div>
			<div class="sk-circle11 sk-circle"></div>
			<div class="sk-circle12 sk-circle"></div>
		</div>
	</div>
</div>